com.sun.syndication.io.impl

## Class RSS20wNSParser

- java.lang.Object
- - com.sun.syndication.io.impl.BaseWireFeedParser
  - - com.sun.syndication.io.impl.RSS090Parser
    - - com.sun.syndication.io.impl.RSS091UserlandParser
      - - com.sun.syndication.io.impl.RSS092Parser
        - - com.sun.syndication.io.impl.RSS093Parser
          - - com.sun.syndication.io.impl.RSS094Parser
            - - com.sun.syndication.io.impl.RSS20Parser
              - - com.sun.syndication.io.impl.RSS20wNSParser

All Implemented Interfaces:
  WireFeedParser

    public class RSS20wNSParser
    extends RSS20Parser

To address issue with certain feeds (brought up by Charles Miller): "During the debacle that was the rollout of RSS2.0, this namespace was tried, and even appeared in Dave Winer's Scripting News feed for a while. It was then withdrawn, but the wonderful thing about standards is the moment you roll one out, even if it's marked as unfinished and subject to change, someone will end up stuck with it forever." Note that there is not counter part on the generator, we only generate the final RSS2

### Constructor Summary

Constructors
`` `RSS20wNSParser()`
`protected` `RSS20wNSParser(java.lang.String type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.jdom.Namespace` `getRSSNamespace()` Returns the namespace used by RSS elements in document of the RSS version the parser supports.
`boolean` `isMyType(org.jdom.Document document)` Inspects an XML Document (JDOM) to check if it can parse it.
`protected WireFeed` `parseChannel(org.jdom.Element rssRoot)` After we parse the feed we put "rss_2.0" in it (so converters and generators work) this parser is a phantom.

### Methods inherited from class com.sun.syndication.io.impl.RSS20Parser

`getRSSVersion, isHourFormat24, parseItemDescription`

### Methods inherited from class com.sun.syndication.io.impl.RSS094Parser

`parseItem`

### Methods inherited from class com.sun.syndication.io.impl.RSS092Parser

`parseCategories`

### Methods inherited from class com.sun.syndication.io.impl.RSS091UserlandParser

`getImage, getItems, getTextInput, getTextInputLabel, parseImage`

### Methods inherited from class com.sun.syndication.io.impl.RSS090Parser

`getContentNamespace, getRDFNamespace, parse, parseItems, parseTextInput, validateFeed`

### Methods inherited from class com.sun.syndication.io.impl.BaseWireFeedParser

`extractForeignMarkup, getAttribute, getAttributeValue, getType, parseFeedModules, parseItemModules, parsePersonModules`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RSS20wNSParser

    public RSS20wNSParser()

#### RSS20wNSParser

    protected RSS20wNSParser(java.lang.String type)

### Method Detail

#### isMyType

    public boolean isMyType(org.jdom.Document document)

Description copied from interface: `WireFeedParser`
Inspects an XML Document (JDOM) to check if it can parse it.

It checks if the given document if the type of feeds the parser understands.

Specified by:
  `isMyType` in interface `WireFeedParser`
Overrides:
  `isMyType` in class `RSS20Parser`
Parameters:
  `document` - XML Document (JDOM) to check if it can be parsed by this parser.
Returns:
  true if the parser know how to parser this feed, false otherwise.

#### getRSSNamespace

    protected org.jdom.Namespace getRSSNamespace()

Description copied from class: `RSS090Parser`
Returns the namespace used by RSS elements in document of the RSS version the parser supports.

This implementation returns the EMTPY namespace.

Overrides:
  `getRSSNamespace` in class `RSS091UserlandParser`
Returns:
  returns the EMPTY namespace.

#### parseChannel

    protected WireFeed parseChannel(org.jdom.Element rssRoot)

After we parse the feed we put "rss_2.0" in it (so converters and generators work) this parser is a phantom.

Overrides:
  `parseChannel` in class `RSS094Parser`
Parameters:
  `rssRoot` - the root element of the RSS document to parse.
Returns:
  the parsed Channel bean.